# Class AddressGenericBase.Builder

java.lang.Object
com.ryanharter.auto.value.gson.example.wildgenerics.AddressGenericBase.Builder

All Implemented Interfaces:
  `GenericBase.Builder<Address, AddressGenericBase.Builder>`

Enclosing class:
  `AddressGenericBase`

public abstract static class AddressGenericBase.Builder extends Object implements GenericBase.Builder<Address, AddressGenericBase.Builder>

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`abstract AddressGenericBase`
`build()`
`abstract AddressGenericBase.Builder`
`topLevelNonGeneric(String topLevel)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface GenericBase.Builder

`collection, generic, notGeneric`

## Constructor Details

### Builder

public Builder()

## Method Details

### topLevelNonGeneric

public abstract AddressGenericBase.Builder topLevelNonGeneric(String topLevel)

### build

public abstract AddressGenericBase build()